Name:           ocaml-cppo
Version:        1.3.1
Release:        %mkrel 3
Summary:        An equivalent of the C preprocessor targeted at the OCaml language
License:        BSD
Group:          Development/OCaml
URL:            https://github.com/mjambon/cppo
Source0:        https://github.com/mjambon/cppo/archive/v%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib

%description
Cppo is an equivalent of the C preprocessor targeted at the OCaml language
and its variants.

The main purpose of cppo is to provide a lightweight tool for simple macro
substitution (#define) and file inclusion (#include) for the occasional case
when this is useful in OCaml. Processing specific sections of files by
calling external programs is also possible via #ext directives.

The implementation of cppo relies on the standard library of OCaml and on
the standard parsing tools Ocamllex and Ocamlyacc, which contribute to the
robustness of cppo across OCaml versions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n cppo-%{version}

%build
make

%install
mkdir -p %{buildroot}%{_bindir}
install -p cppo %{buildroot}%{_bindir}/
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/cppo_ocamlbuild
make install PREFIX=%{buildroot}%{_prefix}


%files
%doc LICENSE README.md Changes
%{_bindir}/cppo
%dir %{_libdir}/ocaml/cppo_ocamlbuild/
%{_libdir}/ocaml/cppo_ocamlbuild/META
%{_libdir}/ocaml/cppo_ocamlbuild/*.cma
%{_libdir}/ocaml/cppo_ocamlbuild/*.cmi

%files devel
%doc examples/
%{_libdir}/ocaml/cppo_ocamlbuild/*.a
%{_libdir}/ocaml/cppo_ocamlbuild/*.cmxa
%{_libdir}/ocaml/cppo_ocamlbuild/*.cmxs


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 1.3.1-3.mga6
+ Revision: 1056309
- Rebuild for fix in ocaml

* Wed Feb 17 2016 pterjan <pterjan> 1.3.1-2.mga6
+ Revision: 963655
- Package cppo_ocamlbuild lib

* Fri Jan 29 2016 pterjan <pterjan> 1.3.1-1.mga6
+ Revision: 928676
- Add BuildRequires
- Update to 1.3.1

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-8.mga5
+ Revision: 745118
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-7.mga5
+ Revision: 683010
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.3-6.mga4
+ Revision: 534319
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 blue_prawn <blue_prawn> 0.9.3-5.mga4
+ Revision: 477272
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 0.9.3-4.mga3
+ Revision: 361225
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.3-3.mga3
+ Revision: 301644
- new rpm group for ocaml

* Fri Sep 28 2012 blue_prawn <blue_prawn> 0.9.3-2.mga3
+ Revision: 299088
- new rpm group for ocaml

* Sat Sep 01 2012 blue_prawn <blue_prawn> 0.9.3-1.mga3
+ Revision: 286895
- updated to last version 0.9.3 (and new homepage, new download link)

* Sun Jun 24 2012 blue_prawn <blue_prawn> 0.9.2-1.mga3
+ Revision: 262912
- imported package ocaml-cppo

